# Blacklist

**Inherits:** IBlacklist, AccessControlInternal

## Functions

### setBacklistValue

```solidity
function setBacklistValue(address account, bool value) external onlyRole(AccessControlStorage.DEFAULT_ADMIN_ROLE);
```

### blacklistedAccounts

Returns all blacklisted accounts.

```solidity
function blacklistedAccounts() external view override returns (address[] memory);
```

### blacklistedLength

Returns the number of blacklisted accounts.

```solidity
function blacklistedLength() external view override returns (uint256);
```

### isBlacklisted

Returns true if the account is blacklisted.

```solidity
function isBlacklisted(address account) external view override returns (bool);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ariaprotocol.xyz/technical-docs/contract-docs/legal/modules/blacklist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
